Missing line-end comma in debian/control

Bug #391574 reported by Andrew Sayers on 2009-06-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-pylibacl (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Binary package hint: python-pylibacl

This bug was sent manually, but the text was written to a template, as I have several similar bugs to report today. Please see my recent bug reports for a list, or bug #391165 for the root cause.

Versions
0.4.0-2ubuntu2 and 0.4.0-1ubuntu1 of python-pylibacl have a missing line-end comma in the "Build-Dependencies" section of debian/control. There should be a comma in the area marked by ***asterisks***:

Build-Depends: debhelper (>= 7), python (>= 2.3.5-11), python-all-dev (>= 2.3.5-11), python-all-dbg***
 ***python-support (>= 0.6), libacl1-dev, python-setuptools, python-epydoc

I haven't tested the exact effects of this issue in python-pylibacl. It might be that these dependencies are unnecessary and can be removed, or it might be that some features are silently disabled (see bug #365770 for an example). If the dependencies should stay, the bug can be fixed by inserting a comma in the marked area.

Iustin Pop (iustin) wrote :

This is strange. The Debian version of the package has the command in the right place, and I can't find in the git history a time when this was not so.

Could it be a problem only with the Ubuntu package?

iustin

Iustin Pop (iustin) wrote :

Err, I meant "has the comma in the right place".

iustin

Bhavani Shankar (bhavi) on 2009-07-08
Changed in python-pylibacl (Ubuntu Karmic):
assignee: nobody → Bhavani Shankar (bhavi)
status: New → In Progress
Bhavani Shankar (bhavi) wrote :
Changed in python-pylibacl (Ubuntu Karmic):
assignee: Bhavani Shankar (bhavi) → nobody
status: In Progress → Confirmed
Colin Watson (cjwatson) wrote :

Iustin: Yes, this bug appears to have been introduced in an Ubuntu patch. :-(

Colin Watson (cjwatson) wrote :

Bhavani: Thanks. In your replacement for ${Source-Version}, though, you wrote ${source-Version}, which isn't valid. Please see the deb-substvars(5) manual page. You perhaps meant ${source:Version}, but in this case ${binary:Version} would actually be more correct, so I've corrected it to that instead.

Bhavani Shankar (bhavi) wrote :

yes i meant source:Version

sorry for the typo error and thanks :)

Regards

Bhavani Shankar (bhavi) on 2009-07-08
Changed in python-pylibacl (Ubuntu Karmic):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers